# ClassFilterStrategy

class xsdata.models.config.ClassFilterStrategy(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

  Class filter strategy.

  Variables:

    - ALL – all: Generate all types, discouraged!!!

    - ALL_GLOBALS – allGlobals: Generate all global types

    - REFERRED_GLOBALS – referredGlobals: Generate all global types with at least one reference.